*{
margin: 0px;
border: 0px;
/* background:linear-gradient( #ffefd5, #d89075);   */
 box-sizing: border-box;
}
.todolist{
  background: whitesmoke;
  width:50%;
  max-width: 500%;
  margin: 100px auto 20%;
  border:  5px solid black;
  padding:40px 30px 70px;
  border-radius: 5%;
}

.todolist h2{ 
  color: rgb(105, 14, 14);
    text-align:center;
    font-family:cursive;
    font-size: xx-large;
     margin-top: 60px;
    margin-bottom: 40px;
    border:2px dotted plum;
    
}

    /* styling */
.container {
   
    width: 100%;
    min-height: 10;
    padding: 10px;
    background:linear-gradient( #559dad, #9e320b);

    
}

/* Style the input */
input {
  background: whitesmoke;
    margin: 5;
     border:2px solid rgb(4, 4, 103) ; 
    border-radius: 5px;
    margin-left: 10px;
    width: 73%;
    padding: 10px;
    float: left;
    font-size: 20;
    font-family: cursive;
  }
  
  /* Style the "Add" button */
  .addBtn {
    padding: 10px;
    width: 20%;
    background: rgb(60, 5, 5);
    font-family: cursive;
    color:white;
    float: right;
    text-align: center;
    margin-right: 10px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 5px;
  }
  
  .addBtn:hover {
    color: black;
    background: #89a5d3;
    border:3px solid rgb(60, 5, 5);

  }
  .row{
    display: flex;
    justify-content: space-between;
    background:white;
    padding-left: 20px;
    margin-bottom:25px;
    
  }
  /* listing */
ul li{
  
  display: flex;
  list-style: none;
   padding:5px 5px;
   font-family: cursive;
   border: 3px double rgb(23, 2, 2); 
   background-color:rgb(104, 182, 213);
   margin: 10px; 
   right:8px;
  user-select: none;
  cursor: pointer;
   text-align: center; 
   position: relative;
}

ul li span{
position: absolute;
right: 2px;
top: 2px;
width: 25px;
height: 25px;
line-height: 15px;
text-align: center;
border: solid black;
border-radius: 100px;
font-size: 20px;
color: black;
background-color: #f2e8e8;


}

ul li span:hover{
background-color:rgb(8, 8, 8) ;
color:#f2e8e8 ;

}
ul li.checked{
  background:rgb(168, 199, 212) ;
  text-decoration: line-through;
}